 // cMLdkGUI.cpp: implementation of the cMLdkGUI class.
//
//////////////////////////////////////////////////////////////////////

#include "plugin.h"
#include "osd.h"

#include "MLdkGUIStart.h"
#include "cMLdkGUI.h"
#include "global.h"

#define IP_CORE_CORE "127.0.0.1"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

cMLdkGUIPlugin::cMLdkGUIPlugin()
{

}

cMLdkGUIPlugin::~cMLdkGUIPlugin()
{

}

cOsdObject *cMLdkGUIPlugin::MainMenuAction(void)
{
	strcpy(g_CoreHostName,IP_CORE_CORE);
	g_CorePort = 4001;

	return(new MLdkGUIStart);
}

bool cMLdkGUIPlugin::SetupParse(const char *Name,const char *Value)
{
	if      (!strcasecmp(Name, "CoreHostName"))    strcpy(g_CoreHostName,Value);
	else if (!strcasecmp(Name, "CorePort"))        g_CorePort = atoi(Value);
	else return (false);

	return (true);
}


VDRPLUGINCREATOR(cMLdkGUIPlugin);
